PDO NOT installed (testje php-7.2)

Stel hier je vragen met betrekking tot PHP, MySQL, HTML, CSS en JavaScript.
Forumregels
Check eerst even onze handleiding (http://help.antagonist.nl/) voordat je hier je vraag stelt. Voor de meeste problemen hebben we een oplossing met een zeer uitgebreide uitleg.
Plaats reactie
Vraagal
Berichten: 23
Lid geworden op: 14 sep 2013, 13:28

PDO NOT installed (testje php-7.2)

Bericht door Vraagal » 01 nov 2017, 11:22

N.a.v. het mailtje van Antagonist met de kop PHP 7.2 nu beschikbaar bij Antagonist! meteen maar eens geprobeerd of ik al kan overstappen van php7.1 naar php7.2

Nou nee dus ik krijg de volgende melding in mijn mail.
PHP Fatal error: Uncaught Error: Class 'PDO' not found in ......enz
Voor de zekerheid alles aangevinkt waar PDO in staat en een testje gestart "pdotest.php" met de volgende inhoud:

Code: Selecteer alles

<?php
if (class_exists('PDO')) {
  print "PDO is installed"; 
}
else {
  print "PDO NOT installed";
}
phpinfo();
?>
De melding die ik krijg is "PDO NOT installed" maar tevens zie ik dat in de configuratie van php-7.2 o.a. het volgende staat:
--disable-pdo' .
OK duidelijk , het werkt dus (nog) niet in PHP7.2 met de config zoals die nu is bij Antagonist.

Om een lang verhaal kort te maken krijgt php7.2 t.z.t --enable-pdo in de configuratie ?

Gebruikersavatar
Joris de Leeuw
Antagonist staff
Berichten: 979
Lid geworden op: 13 feb 2016, 20:15

Re: PDO NOT installed (testje php-7.2)

Bericht door Joris de Leeuw » 01 nov 2017, 14:22

PDO wordt ook door PHP 7.2 ondersteund.

Mocht deze niet laden betekent dit dat je deze module per abuis niet hebt aangevinkt. Als klant kan je namelijk per PHP-versie zelf bepalen welke modules beschikbaar zijn.

Belangrijk is dus dat je de PDO module aan de rechter kant aanvinkt zoals beschreven op:
- https://www.antagonist.nl/help/nl/webho ... t_wijzigen

Je hoeft dus zeker geen ingewikkelde compile opties te kiezen van PHP, maar kan dus gewoon een vinkje zetten zoals beschreven in de bovenstaande uitleg :)
Met vriendelijke groet,

Joris de Leeuw
Antagonist staff

Vraagal
Berichten: 23
Lid geworden op: 14 sep 2013, 13:28

Re: PDO NOT installed (testje php-7.2)

Bericht door Vraagal » 01 nov 2017, 20:44

Ik heb nog eens gekeken of de vinkjes wel op de goede plek stonden en inderdaad RECHTS waren en zijn ze aangevinkt maar ........PDO werkt NIET.
Laat ik dan maar eens alles aanvinken. Flauwe kul natuurlijk maar je weet nooit. PDO werkt nog steeds niet in php7.2
Dan maar weer terugschakelen naar php7.1 en kijken wat daar aangevinkt staat want PDO werkt WEL in php7.1 :D
OK dan nu php7.2 weer inschakelen en de vinkjes op de zelfde plek zetten waar ze ook in php7.1 staan. PDO werkt ,zoals ik eigenlijk al verwachtte, weer NIET. :evil:
Gelukkig was het voor mij maar een testje maar ik blijf voorlopig bij php7.1

Mvg Frits
PS GD geeft ook een foutmelding met PHP7.2 (althans bij mij) en geen probleem met php7.1

Gebruikersavatar
Joris de Leeuw
Antagonist staff
Berichten: 979
Lid geworden op: 13 feb 2016, 20:15

Re: PDO NOT installed (testje php-7.2)

Bericht door Joris de Leeuw » 02 nov 2017, 08:09

Vervelend om te lezen dat het nog niet werkt. Dit betekent dat er specifiek iets anders mis gaat binnen je pakket. Bij mijn eigen website heb ik PHP 7.2 al wel correct aan de gang gekregen.

Mocht je binnen de instellingen van PHP de oorzaak niet achterhalen stuur dan gerust een e-mail naar support@antagonist.nl. Dan helpen we je graag nog verder uitzoeken wat er aan de hand is.
Met vriendelijke groet,

Joris de Leeuw
Antagonist staff

Plaats reactie